# Class WindowTitleDirective

#### Implements

- OnInit

- Defined in packages/angular/window-system/src/lib/window-title.directive.ts:20

#####
Index

### Constructors

constructor

### Methods

ngOnInit
ngTemplateContextGuard

##
Constructors

### constructor

- new WindowTitleDirective(): WindowTitleDirective

  #### Returns WindowTitleDirective

##
Methods

### ngOnInit

- ngOnInit(): void

  A callback method that is invoked immediately after the default change detector has checked the directive's data-bound properties for the first time, and before any of the view or content children have been checked. It is invoked only once when the directive is instantiated.

  #### Returns void

  Implementation of OnInit.ngOnInit

  - Defined in packages/angular/window-system/src/lib/window-title.directive.ts:37

### `Static` ngTemplateContextGuard

- ngTemplateContextGuard(
  dir: WindowTitleDirective,
  ctx: any,
  ): ctx is WindowTitleTemplateContext

  Asserts the correct type of the context for the template that `NgForOf` will render.

  The presence of this method is a signal to the Ivy template type-check compiler that the `NgForOf` structural directive renders its template with a specific context type.

  #### Parameters

  - dir: WindowTitleDirective
  - ctx: any

  #### Returns ctx is WindowTitleTemplateContext

  - Defined in packages/angular/window-system/src/lib/window-title.directive.ts:32